import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { WbRegisterEvent } from '../models/index';
/**
 * @author auto generate
 * @version 1.2
 * @date 2020-12-29 15:31
 */
interface WbRegisterEventCU extends ConditionUtil<WbRegisterEventCU> {
    ID: FieldUtil<WbRegisterEventCU>;
    OUTER_USER_ID: FieldUtil<WbRegisterEventCU>;
    USER_ACTION: FieldUtil<WbRegisterEventCU>;
    ACTION_TIME: FieldUtil<WbRegisterEventCU>;
    OUTER_DATA: FieldUtil<WbRegisterEventCU>;
    CREATE_TIME: FieldUtil<WbRegisterEventCU>;
    UPDATE_TIME: FieldUtil<WbRegisterEventCU>;
}
declare class WbRegisterEventMU extends TableUtilImpl<WbRegisterEventCU, WbRegisterEvent> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): WbRegisterEventCU;
    static get ID(): FieldUtil<WbRegisterEventCU>;
    static get OUTER_USER_ID(): FieldUtil<WbRegisterEventCU>;
    static get USER_ACTION(): FieldUtil<WbRegisterEventCU>;
    static get ACTION_TIME(): FieldUtil<WbRegisterEventCU>;
    static get OUTER_DATA(): FieldUtil<WbRegisterEventCU>;
    static get CREATE_TIME(): FieldUtil<WbRegisterEventCU>;
    static get UPDATE_TIME(): FieldUtil<WbRegisterEventCU>;
    get ID(): FieldUtil<WbRegisterEventCU>;
    get OUTER_USER_ID(): FieldUtil<WbRegisterEventCU>;
    get USER_ACTION(): FieldUtil<WbRegisterEventCU>;
    get ACTION_TIME(): FieldUtil<WbRegisterEventCU>;
    get OUTER_DATA(): FieldUtil<WbRegisterEventCU>;
    get CREATE_TIME(): FieldUtil<WbRegisterEventCU>;
    get UPDATE_TIME(): FieldUtil<WbRegisterEventCU>;
}
export { WbRegisterEventMU, WbRegisterEventCU };
